import React from 'react';

import { Typography, Col, Row, Card, Select } from 'antd';
import { LinkOutlined, FilterFilled  } from '@ant-design/icons';
const { Meta } = Card;

const SearchResults = ({ searchResults }) => {

    const availabilityMap = new Map();
    availabilityMap.set('IN_STOCK', 'In Stock');
    availabilityMap.set('OUT_OF_STOCK', 'Out of Stock');

    return (
        <>
            {searchResults.length > 0 &&
                <Row>
                    <Col span={5}>
                        <div style={{ margin: '0 1rem' }}>
                            <Typography.Title
                                style={{ fontSize: '1.5rem', color: '#000000 ' }}
                            >
                                Filters <FilterFilled style={{ fontSize: '1.2rem', color: '#b5904a ' }}  />
                            </Typography.Title>
                            <Typography.Title
                                style={{ fontSize: '1rem', color: '#000000 ' }}
                            >
                                Add Facets to filter
                            </Typography.Title>
                            <Select
                                defaultValue=""
                                style={{ width:'100%' }}
                                onChange={() => {}}
                                options={[
                                    {
                                        value: 'hoodie',
                                        label: 'Hoodie',
                                    },
                                ]}
                            />
                        </div>
                    </Col>
                    <Col span={19}>
                        <Row>
                            {
                                searchResults.map((rec, i) =>
                                    <Col span={6} key={i}   >
                                        <Card   
                                            hoverable
                                            style={{ margin: '1rem' }}
                                            cover={<img alt="example" src={rec.product.images[0].uri} />}
                                        >
                                            <Meta title={`${rec.product.title}`} />
                                            <p><strong>Brand: </strong> {rec.product.brands[0]}</p>
                                            <p><strong>Price: </strong> {`${rec.product.priceInfo.price} ${rec.product.priceInfo.currencyCode}`}</p>
                                            <p><strong>Availability: </strong> {availabilityMap.get(rec.product.availability)} <a href={rec.product.uri} target="_blank" rel='noreferrer'><LinkOutlined style={{ color: '#b5904a'}} /></a> </p>
                                        </Card>
                                    </Col>
                                )
                            }
                        </Row>
                    </Col>
                </Row>
            }
        </>
    )
}

export default SearchResults;